Subject: Fwd: Unity only black screen after correctly logging in - 13.10 Ubuntu 64 bit
From: Gino Eising <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jan 2014 22:57:27 +0100

Package: x2goserver
Version: 4.1.0.0-0~925~ubuntu13.10.1

---------- Forwarded message ----------
From: Gino Eising <[email-masked]>
Date: Thu, Jan 16, 2014 at 10:54 PM
Subject: Fwd: Unity only black screen after correctly logging in - 13.10
Ubuntu 64 bit
To: [email-masked]

From: Gino Eising <[email-masked]>

Date: Thu, Jan 16, 2014 at 10:49 PM
Subject: Unity only black screen after correctly logging in - 13.10 Ubuntu
64 bit
To: [email-masked]

Dear developer,

I Couldn't find any solution for the following:

*Afte logging correctly, the x2g0 letters disappear and the screen remains
black. Nothing happends. *

Testen on two 13.10 server sides and one ubuntu client and one windows
client. All same results. I hope you have enough info and I you have any
question, don't hesitate to ask me. I can also give a login if you'd like
to test it.

Regards,

Gino Eising
Amsterdam

Logging and information about the used packages:

*On the server side:*

root@ltsp:~# dpkg -l | grep x2go
ii  libx2go-log-perl                      4.1.0.0-0~925~ubuntu13.10.1
                    amd64        Perl X2Go::Log package
ii  libx2go-server-db-perl                4.1.0.0-0~925~ubuntu13.10.1
                    amd64        Perl X2Go::Server:DB package
ii  libx2go-server-perl                   4.1.0.0-0~925~ubuntu13.10.1
                    amd64        Perl X2Go::Server package
ii  x2goagent                             2:3.5.0.23-0~390~ubuntu13.10.1
                     all          X2Go agent
ii  x2goplugin-provider                   4.0.1.0-1
                    all          Provide X2Go Plugin via Apache webserver
ii  x2goserver                            4.1.0.0-0~925~ubuntu13.10.1
                    amd64        X2Go server
ii  x2goserver-common                     4.1.0.0-0~925~ubuntu13.10.1
                    amd64        X2Go Server (common files)
ii  x2goserver-extensions                 4.1.0.0-0~925~ubuntu13.10.1
                    all          X2Go Server (extension support)
ii  x2goserver-fmbindings                 4.1.0.0-0~925~ubuntu13.10.1
                    all          X2Go Server (file manager bindings)
ii  x2goserver-printing                   4.1.0.0-0~925~ubuntu13.10.1
                    all          X2Go server (printing support)
ii  x2goserver-xsession                   4.1.0.0-0~925~ubuntu13.10.1
                    all          X2Go Server (Xsession runner)

root@ltsp:~# cat /etc/issue
Ubuntu 13.10 \n \l

root@ltsp:~# uname -a
Linux ltsp 3.8.0-19-generic #30-Ubuntu SMP Wed May 1 16:35:23 UTC 2013
x86_64 x86_64 x86_64 GNU/Linux

Logging while conecting (syslog)
Jan 16 22:26:03 ltsp /usr/bin/x2goresume-session: client 192.168.1.20 has
successfully resumed session with ID djieno-61-1389907392_stDUNITY_dp24
Jan 16 22:26:05 ltsp /usr/bin/x2gomountdirs[13102]: successfully mounted
[email-masked]:30036/home/djieno/.x2go/S-djieno-61-1389907392_stDUNITY_dp24/spoolto
/tmp/.x2go-djieno/spool/C-djieno-61-1389907392_stDUNITY_dp24
Jan 16 22:35:01 ltsp CRON[13121]: (root) CMD (command -v debian-sa1 >
/dev/null && debian-sa1 1 1)

*On the client side:*

djieno@deskbuntu:~$ dpkg -l | grep x2go
ii  x2goclient                                4.0.1.0-1
           amd64        X2Go Client application (Qt4)
ii  x2goplugin                                4.0.1.0-1
           amd64        X2Go Client (Qt4) as browser plugin

djieno@deskbuntu:~$ cat /etc/issue
Ubuntu 13.10 \n \l

djieno@deskbuntu:~$ uname -a
Linux deskbuntu 3.11.0-15-generic #23-Ubuntu SMP Mon Dec 9 18:17:04 UTC
2013 x86_64 x86_64 x86_64 GNU/Linux

Logging from starting x2goclient - console:

djieno@deskbuntu:~$ x2goclient
ONMainWindow constructor

Can't load translator (:/x2goclient_nl_nl) !

Can't load translator  :/qt_nl_NL
ONMainWindows constructor finished, home Directory is: "/home/djieno"

read  4  sessions from config file
start new ssh connection to server: "ltsp" : "22" krb:  false

ssh connection ok

continue normal x2go session

Agent output: "gr_port=30034
sound_port=30035
fs_port=30036
"
new gr_port:  "30034"

new sound_port:  "30035"

new fs_port:  "30036"

starting nxproxy with:  "nxproxy -S
nx/nx,options=/home/djieno/.x2go/S-djieno-61-1389907392_stDUNITY_dp24/options:61"

"
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2011 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '5157'.
Session: Starting session at 'Thu Jan 16 22:26:03 2014'.
Info: Connecting to remote host 'localhost:31034'.
Info: Connection to remote proxy 'localhost:31034' established.
"

"Info: Connection with remote proxy completed.
Warning: Unrecognized session type 'unix-kde-depth_24'. Assuming agent
session.
"

 "Info: Using LAN link parameters 1536/24/1/0.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_24'.
Info: Not using NX delta compression.
Info: Not using ZLIB data compression.
Info: Not using ZLIB stream compression.
Info: Not using a persistent cache.
Info: Forwarding X11 connections to display ':0'.
Session: Session started at 'Thu Jan 16 22:26:04 2014'.
"

"Info: Established X server connection.
Info: Using shared memory parameters 1/2048K.
"

Generating public/private rsa key pair.
Your identification has been saved in /home/djieno/.x2go/ssh/gen/key.TJ5145.
Your public key has been saved in /home/djieno/.x2go/ssh/gen/key.TJ5145.pub.
The key fingerprint is:
34:------:14:0c:2e:f9 djieno@deskbuntu
The key's randomart image is:
+--[ RSA 1024]----+
|+                |
+-----------------+
key created on:  "/home/djieno/.x2go/ssh/gen/key.TJ5145"
starting fs tunnel for: "djieno-61-1389907392_stDUNITY_dp24"
fs port:  "30036"
proxy win found: 73400472
exported key  "/home/djieno/.x2go/ssh/gen/key.TJ5145"
key removed